Index: squid/src/cf_gen.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cf_gen.c,v
retrieving revision 1.1.1.3.10.2.2.1
retrieving revision 1.1.1.3.10.2.2.2
diff -u -r1.1.1.3.10.2.2.1 -r1.1.1.3.10.2.2.2
--- squid/src/cf_gen.c	2 May 2000 22:50:28 -0000	1.1.1.3.10.2.2.1
+++ squid/src/cf_gen.c	14 May 2000 23:22:19 -0000	1.1.1.3.10.2.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cf_gen.c,v 1.1.1.3.10.2.2.1 2000/05/02 22:50:28 hno Exp $
+ * $Id: cf_gen.c,v 1.1.1.3.10.2.2.2 2000/05/14 23:22:19 hno Exp $
  *
  * DEBUG: none
  * AUTHOR: Max Okumoto
@@ -108,11 +108,12 @@
 static void gen_conf(Entry *, FILE *);
 static void gen_default_if_none(Entry *, FILE *);
 
-static void lineAdd(Line **L, char *str)
+static void
+lineAdd(Line ** L, char *str)
 {
-    while(*L)
-    	L = &(*L)->next;
-    *L=xcalloc(1, sizeof(Line));
+    while (*L)
+	L = &(*L)->next;
+    *L = xcalloc(1, sizeof(Line));
     (*L)->data = xstrdup(str);
 }
 
@@ -432,7 +433,7 @@
 	    fprintf(fp, "\t}\n");
 	}
 	if (entry->ifdef)
-	fprintf(fp, "#endif\n");
+	    fprintf(fp, "#endif\n");
     }
     fprintf(fp, "}\n\n");
 }
@@ -536,25 +537,27 @@
     fprintf(fp, "}\n\n");
 }
 
-static int defined(char *name)
+static int
+defined(char *name)
 {
-	int i=0;
-	if (!name)
-	    return 1;
-	for(i=0;strcmp(defines[i].name, name) != 0; i++) {
-	    assert(defines[i].name);
-	}
-	return defines[i].defined;
+    int i = 0;
+    if (!name)
+	return 1;
+    for (i = 0; strcmp(defines[i].name, name) != 0; i++) {
+	assert(defines[i].name);
+    }
+    return defines[i].defined;
 }
 
-static const char *available_if(char *name)
+static const char *
+available_if(char *name)
 {
-	int i=0;
-	assert(name);
-	for(i=0;strcmp(defines[i].name, name) != 0; i++) {
-	    assert(defines[i].name);
-	}
-	return defines[i].enable;
+    int i = 0;
+    assert(name);
+    for (i = 0; strcmp(defines[i].name, name) != 0; i++) {
+	assert(defines[i].name);
+    }
+    return defines[i].enable;
 }
 
 static void
@@ -582,7 +585,7 @@
 	for (line = entry->doc; line != NULL; line = line->next) {
 	    fprintf(fp, "#%s\n", line->data);
 	}
-	if (entry->default_value && strcmp(entry->default_value,"none") != 0) {
+	if (entry->default_value && strcmp(entry->default_value, "none") != 0) {
 	    sprintf(buf, "%s %s", entry->name, entry->default_value);
 	    lineAdd(&def, buf);
 	}
@@ -595,7 +598,7 @@
 	if (entry->nocomment)
 	    blank = 0;
 	if (!def && entry->doc && !entry->nocomment &&
-		strcmp(entry->name, "comment") != 0)
+	    strcmp(entry->name, "comment") != 0)
 	    lineAdd(&def, "none");
 	if (def && (entry->doc || entry->nocomment)) {
 	    if (blank)
@@ -608,7 +611,7 @@
 		free(line->data);
 		free(line);
 	    }
-	    blank=1;
+	    blank = 1;
 	}
 	if (entry->nocomment && blank)
 	    fprintf(fp, "#\n");
Index: squid/src/client_side.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/client_side.c,v
retrieving revision 1.1.1.3.10.7.2.4
retrieving revision 1.1.1.3.10.7.2.5
diff -u -r1.1.1.3.10.7.2.4 -r1.1.1.3.10.7.2.5
--- squid/src/client_side.c	8 May 2000 18:02:08 -0000	1.1.1.3.10.7.2.4
+++ squid/src/client_side.c	14 May 2000 23:22:19 -0000	1.1.1.3.10.7.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side.c,v 1.1.1.3.10.7.2.4 2000/05/08 18:02:08 hno Exp $
+ * $Id: client_side.c,v 1.1.1.3.10.7.2.5 2000/05/14 23:22:19 hno Exp $
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -141,7 +141,7 @@
 #endif
 
 static aclCheck_t *
-clientAclChecklistCreate(const acl_access *acl, const clientHttpRequest *http)
+clientAclChecklistCreate(const acl_access * acl, const clientHttpRequest * http)
 {
     aclCheck_t *ch;
     ConnStateData *conn = http->conn;
@@ -347,14 +347,13 @@
     }
     http->request->flags.refresh = 1;
     http->old_entry = http->entry;
+    http->old_sc = http->sc;
     /*
      * Assert that 'http' is already a client of old_entry.  If 
      * it is not, then the beginning of the object data might get
      * freed from memory before we need to access it.
      */
-#if STORE_CLIENT_LIST_SEARCH
-    assert(storeClientListSearch(http->old_entry->mem_obj, http));
-#endif
+    assert(http->sc->callback_data == http);
     entry = storeCreateEntry(url,
 	http->log_uri,
 	http->request->flags,
@@ -450,6 +449,7 @@
 	storeUnregister(http->sc, entry, http);
 	storeUnlockObject(entry);
 	entry = http->entry = http->old_entry;
+	http->sc = http->old_sc;
     } else if (STORE_PENDING == entry->store_status && 0 == status) {
 	debug(33, 3) ("clientHandleIMSReply: Incomplete headers for '%s'\n", url);
 	if (size >= CLIENT_SOCK_SZ) {
@@ -460,6 +460,7 @@
 	    storeUnregister(http->sc, entry, http);
 	    storeUnlockObject(entry);
 	    entry = http->entry = http->old_entry;
+	    http->sc = http->old_sc;
 	    /* continue */
 	} else {
 	    storeClientCopy(http->sc, entry,
@@ -488,6 +489,7 @@
 	httpReplyUpdateOnNotModified(oldentry->mem_obj->reply, mem->reply);
 	storeTimestampsSet(oldentry);
 	storeUnregister(http->sc, entry, http);
+	http->sc = http->old_sc;
 	storeUnlockObject(entry);
 	entry = http->entry = oldentry;
 	entry->timestamp = squid_curtime;
@@ -504,11 +506,12 @@
 	    storeTimestampsSet(http->old_entry);
 	    http->log_type = LOG_TCP_REFRESH_HIT;
 	}
-	storeUnregister(http->sc, http->old_entry, http);
+	storeUnregister(http->old_sc, http->old_entry, http);
 	storeUnlockObject(http->old_entry);
 	recopy = 0;
     }
     http->old_entry = NULL;	/* done with old_entry */
+    http->old_sc = NULL;
     assert(!EBIT_TEST(entry->flags, ENTRY_ABORTED));
     if (recopy) {
 	storeClientCopy(http->sc, entry,
@@ -1106,10 +1109,10 @@
 	range_err = "canonization failed";
     else if (httpHdrRangeIsComplex(http->request->range))
 	range_err = "too complex range header";
-    else if (!request->flags.cachable) /* from we_do_ranges in http.c */
+    else if (!request->flags.cachable)	/* from we_do_ranges in http.c */
 	range_err = "non-cachable request";
     else if (!is_hit && Config.rangeOffsetLimit < httpHdrRangeFirstOffset(request->range)
-	    && Config.rangeOffsetLimit != -1) /* from we_do_ranges in http.c */
+	&& Config.rangeOffsetLimit != -1)	/* from we_do_ranges in http.c */
 	range_err = "range outside range_offset_limit";
     /* get rid of our range specs on error */
     if (range_err) {
@@ -2478,6 +2481,13 @@
 	}
 	/* reset range iterator */
 	http->range_iter.pos = HttpHdrRangeInitPos;
+    } else if (!http->request->range) {
+	/* Avoid copying to MemBuf for non-range requests */
+	/* Note, if we're here, then 'rep' is known to be NULL */
+	http->out.offset += body_size;
+	comm_write(fd, buf, size, clientWriteBodyComplete, http, NULL);
+	/* NULL because clientWriteBodyComplete frees it */
+	return;
     }
     if (http->request->method == METHOD_HEAD) {
 	if (rep) {
@@ -2549,6 +2559,23 @@
     memFree(buf, MEM_CLIENT_SOCK_BUF);
 }
 
+/*
+ * clientWriteBodyComplete is called for MEM_CLIENT_SOCK_BUF's
+ * written directly to the client socket, versus copying to a MemBuf
+ * and going through comm_write_mbuf.  Most non-range responses after
+ * the headers probably go through here.
+ */
+static void
+clientWriteBodyComplete(int fd, char *buf, size_t size, int errflag, void *data)
+{
+    /*
+     * NOTE: clientWriteComplete doesn't currently use its "buf"
+     * (second) argument, so we pass in NULL.
+     */
+    clientWriteComplete(fd, NULL, size, errflag, data);
+    memFree(buf, MEM_CLIENT_SOCK_BUF);
+}
+
 static void
 clientKeepaliveNextRequest(clientHttpRequest * http)
 {
@@ -2593,14 +2620,6 @@
 }
 
 static void
-clientWriteBodyComplete(int fd, char *buf, size_t size, int errflag,
-void *data)
-{
-    memFree(buf, MEM_CLIENT_SOCK_BUF);
-    clientWriteComplete(fd, buf, size, errflag, data);
-}
-
-static void
 clientWriteComplete(int fd, char *bufnotused, size_t size, int errflag, void *data)
 {
     clientHttpRequest *http = data;
@@ -3517,6 +3536,7 @@
 	commSetSelect(fd, COMM_SELECT_READ, clientReadRequest, connState, 0);
 	commSetDefer(fd, clientReadDefer, connState);
 	clientdbEstablished(peer.sin_addr, 1);
+	assert(N);
 	(*N)++;
     }
 }
Index: squid/src/comm_select.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/comm_select.c,v
retrieving revision 1.1.1.3.10.2.2.2
retrieving revision 1.1.1.3.10.2.2.3
diff -u -r1.1.1.3.10.2.2.2 -r1.1.1.3.10.2.2.3
--- squid/src/comm_select.c	2 May 2000 22:50:29 -0000	1.1.1.3.10.2.2.2
+++ squid/src/comm_select.c	14 May 2000 23:22:19 -0000	1.1.1.3.10.2.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm_select.c,v 1.1.1.3.10.2.2.2 2000/05/02 22:50:29 hno Exp $
+ * $Id: comm_select.c,v 1.1.1.3.10.2.2.3 2000/05/14 23:22:19 hno Exp $
  *
  * DEBUG: section 5     Socket Functions
  *
@@ -34,7 +34,7 @@
 
 #include "squid.h"
 
-static int MAX_POLL_TIME = 1000; /* see also comm_quick_poll_required() */
+static int MAX_POLL_TIME = 1000;	/* see also comm_quick_poll_required() */
 
 #ifndef        howmany
 #define howmany(x, y)   (((x)+((y)-1))/(y))
@@ -326,8 +326,8 @@
 	getCurrentTime();
 	start = current_dtime;
 #endif
-    /* Handle any fs callbacks that need doing */
-    storeDirCallback();
+	/* Handle any fs callbacks that need doing */
+	storeDirCallback();
 #if DELAY_POOLS
 	FD_ZERO(&slowfds);
 #endif
@@ -661,8 +661,8 @@
 #if DELAY_POOLS
 	FD_ZERO(&slowfds);
 #endif
-        /* Handle any fs callbacks that need doing */
-        storeDirCallback();
+	/* Handle any fs callbacks that need doing */
+	storeDirCallback();
 	if (commCheckICPIncoming)
 	    comm_select_icp_incoming();
 	if (commCheckDNSIncoming)
Index: squid/src/delay_pools.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/delay_pools.c,v
retrieving revision 1.1.1.3.10.3.2.1
retrieving revision 1.1.1.3.10.3.2.2
diff -u -r1.1.1.3.10.3.2.1 -r1.1.1.3.10.3.2.2
--- squid/src/delay_pools.c	8 May 2000 18:02:08 -0000	1.1.1.3.10.3.2.1
+++ squid/src/delay_pools.c	14 May 2000 23:22:19 -0000	1.1.1.3.10.3.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: delay_pools.c,v 1.1.1.3.10.3.2.1 2000/05/08 18:02:08 hno Exp $
+ * $Id: delay_pools.c,v 1.1.1.3.10.3.2.2 2000/05/14 23:22:19 hno Exp $
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: David Luyer <luyer@ucs.uwa.edu.au>
@@ -222,18 +222,18 @@
      */
     switch (class) {
     case 1:
-	delay_data[pool].class1->aggregate = (int)(((double)rates->aggregate.max_bytes *
-	    Config.Delay.initial) / 100);
+	delay_data[pool].class1->aggregate = (int) (((double) rates->aggregate.max_bytes *
+		Config.Delay.initial) / 100);
 	break;
     case 2:
-	delay_data[pool].class2->aggregate = (int)(((double)rates->aggregate.max_bytes *
-	    Config.Delay.initial) / 100);
+	delay_data[pool].class2->aggregate = (int) (((double) rates->aggregate.max_bytes *
+		Config.Delay.initial) / 100);
 	delay_data[pool].class2->individual_map[0] = 255;
 	delay_data[pool].class2->individual_255_used = 0;
 	break;
     case 3:
-	delay_data[pool].class3->aggregate = (int)(((double)rates->aggregate.max_bytes *
-	    Config.Delay.initial) / 100);
+	delay_data[pool].class3->aggregate = (int) (((double) rates->aggregate.max_bytes *
+		Config.Delay.initial) / 100);
 	delay_data[pool].class3->network_map[0] = 255;
 	delay_data[pool].class3->network_255_used = 0;
 	memset(&delay_data[pool].class3->individual_255_used, '\0',
@@ -307,8 +307,8 @@
 	    if (!delay_data[pool].class2->individual_255_used) {
 		delay_data[pool].class2->individual_255_used = 1;
 		delay_data[pool].class2->individual[IND_MAP_SZ - 1] =
-		    (int)(((double)Config.Delay.rates[pool]->individual.max_bytes *
-		    Config.Delay.initial) / 100);
+		    (int) (((double) Config.Delay.rates[pool]->individual.max_bytes *
+			Config.Delay.initial) / 100);
 	    }
 	    return delayId(pool + 1, 255);
 	}
@@ -320,8 +320,8 @@
 		assert(i < (IND_MAP_SZ - 1));
 		delay_data[pool].class2->individual_map[i + 1] = 255;
 		delay_data[pool].class2->individual[i] =
-		    (int)(((double)Config.Delay.rates[pool]->individual.max_bytes *
-		    Config.Delay.initial) / 100);
+		    (int) (((double) Config.Delay.rates[pool]->individual.max_bytes *
+			Config.Delay.initial) / 100);
 		break;
 	    }
 	}
@@ -336,8 +336,8 @@
 	if (!delay_data[pool].class3->network_255_used) {
 	    delay_data[pool].class3->network_255_used = 1;
 	    delay_data[pool].class3->network[255] =
-		(int)(((double)Config.Delay.rates[pool]->network.max_bytes *
-		Config.Delay.initial) / 100);
+		(int) (((double) Config.Delay.rates[pool]->network.max_bytes *
+		    Config.Delay.initial) / 100);
 	}
     } else {
 	for (i = 0; i < NET_MAP_SZ; i++) {
@@ -349,8 +349,8 @@
 		assert(i < (NET_MAP_SZ - 1));
 		delay_data[pool].class3->network_map[i + 1] = 255;
 		delay_data[pool].class3->network[i] =
-		    (int)(((double)Config.Delay.rates[pool]->network.max_bytes *
-		    Config.Delay.initial) / 100);
+		    (int) (((double) Config.Delay.rates[pool]->network.max_bytes *
+			Config.Delay.initial) / 100);
 		break;
 	    }
 	}
@@ -362,8 +362,8 @@
 	    delay_data[pool].class3->individual_255_used[i / 8] |= (1 << (i % 8));
 	    assert(position < C3_IND_SZ);
 	    delay_data[pool].class3->individual[position] =
-		(int)(((double)Config.Delay.rates[pool]->individual.max_bytes *
-		Config.Delay.initial) / 100);
+		(int) (((double) Config.Delay.rates[pool]->individual.max_bytes *
+		    Config.Delay.initial) / 100);
 	}
 	return delayId(pool + 1, position);
     }
@@ -380,8 +380,8 @@
 	    position |= j;
 	    assert(position < C3_IND_SZ);
 	    delay_data[pool].class3->individual[position] =
-		(int)(((double)Config.Delay.rates[pool]->individual.max_bytes *
-		Config.Delay.initial) / 100);
+		(int) (((double) Config.Delay.rates[pool]->individual.max_bytes *
+		    Config.Delay.initial) / 100);
 	    break;
 	}
     }
@@ -611,7 +611,7 @@
     store_client *sc;
     dlink_node *node;
     for (node = mem->clients.head; node; node = node->next) {
-        sc = (store_client *)node->data;
+	sc = (store_client *) node->data;
 	if (sc->callback_data == NULL)	/* open slot */
 	    continue;
 	if (sc->type != STORE_MEM_CLIENT)
@@ -631,7 +631,7 @@
     dlink_node *node;
     delay_id d = 0;
     for (node = mem->clients.head; node; node = node->next) {
-        sc = (store_client *)node->data;
+	sc = (store_client *) node->data;
 	if (sc->callback_data == NULL)	/* open slot */
 	    continue;
 	if (sc->type != STORE_MEM_CLIENT)
@@ -646,7 +646,7 @@
 }
 
 void
-delaySetStoreClient(store_client *sc, delay_id delay_id)
+delaySetStoreClient(store_client * sc, delay_id delay_id)
 {
     assert(sc != NULL);
     sc->delay_id = delay_id;
Index: squid/src/disk.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/disk.c,v
retrieving revision 1.1.1.3.6.2
retrieving revision 1.1.1.3.6.2.2.1
diff -u -r1.1.1.3.6.2 -r1.1.1.3.6.2.2.1
--- squid/src/disk.c	20 Apr 2000 18:14:22 -0000	1.1.1.3.6.2
+++ squid/src/disk.c	14 May 2000 23:22:19 -0000	1.1.1.3.6.2.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: disk.c,v 1.1.1.3.6.2 2000/04/20 18:14:22 hno Exp $
+ * $Id: disk.c,v 1.1.1.3.6.2.2.1 2000/05/14 23:22:19 hno Exp $
  *
  * DEBUG: section 6     Disk I/O Routines
  * AUTHOR: Harvest Derived
@@ -188,7 +188,7 @@
 	fd, (int) (fdd->write_q->len - fdd->write_q->buf_offset));
     errno = 0;
     if (fdd->write_q->file_offset != -1)
-        lseek(fd, fdd->write_q->file_offset, SEEK_SET);
+	lseek(fd, fdd->write_q->file_offset, SEEK_SET);
     len = write(fd,
 	fdd->write_q->buf + fdd->write_q->buf_offset,
 	fdd->write_q->len - fdd->write_q->buf_offset);
Index: squid/src/dns_internal.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/dns_internal.c,v
retrieving revision 1.1.1.1.10.4.2.2
retrieving revision 1.1.1.1.10.4.2.3
diff -u -r1.1.1.1.10.4.2.2 -r1.1.1.1.10.4.2.3
--- squid/src/dns_internal.c	2 May 2000 23:01:48 -0000	1.1.1.1.10.4.2.2
+++ squid/src/dns_internal.c	14 May 2000 23:22:19 -0000	1.1.1.1.10.4.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: dns_internal.c,v 1.1.1.1.10.4.2.2 2000/05/02 23:01:48 hno Exp $
+ * $Id: dns_internal.c,v 1.1.1.1.10.4.2.3 2000/05/14 23:22:19 hno Exp $
  *
  * DEBUG: section 78    DNS lookups; interacts with lib/rfc1035.c
  * AUTHOR: Duane Wessels
@@ -206,7 +206,7 @@
     assert(nns > 0);
     assert(q->lru.next == NULL);
     assert(q->lru.prev == NULL);
-try_again:
+  try_again:
     ns = q->nsends % nns;
     x = comm_udp_sendto(DnsSocket,
 	&nameservers[ns].S,
@@ -323,6 +323,7 @@
 	    break;
 	}
 	fd_bytes(DnsSocket, len, FD_READ);
+	assert(N);
 	(*N)++;
 	debug(78, 3) ("idnsRead: FD %d: received %d bytes from %s.\n",
 	    fd,
@@ -355,7 +356,7 @@
     event_queued = 0;
     for (n = lru_list.tail; n; n = p) {
 	q = n->data;
-	if (tvSubDsec(q->sent_t, current_time) < Config.Timeout.idns_retransmit * ( 1 << q->nsends % nns))
+	if (tvSubDsec(q->sent_t, current_time) < Config.Timeout.idns_retransmit * (1 << q->nsends % nns))
 	    break;
 	debug(78, 3) ("idnsCheckQueue: ID %#04x timeout\n",
 	    q->id);
@@ -424,6 +425,12 @@
     idns_query *q = memAllocate(MEM_IDNS_QUERY);
     q->sz = sizeof(q->buf);
     q->id = rfc1035BuildAQuery(name, q->buf, &q->sz);
+    if (0 == q->id) {
+	/* problem with query data -- query not sent */
+	callback(data, NULL, 0);
+	memFree(q, MEM_IDNS_QUERY);
+	return;
+    }
     debug(78, 3) ("idnsALookup: buf is %d bytes for %s, id = %#hx\n",
 	(int) q->sz, name, q->id);
     q->callback = callback;
Index: squid/src/forward.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/forward.c,v
retrieving revision 1.1.1.3.10.3.2.1
retrieving revision 1.1.1.3.10.3.2.2
diff -u -r1.1.1.3.10.3.2.1 -r1.1.1.3.10.3.2.2
--- squid/src/forward.c	2 May 2000 22:50:29 -0000	1.1.1.3.10.3.2.1
+++ squid/src/forward.c	14 May 2000 23:22:19 -0000	1.1.1.3.10.3.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: forward.c,v 1.1.1.3.10.3.2.1 2000/05/02 22:50:29 hno Exp $
+ * $Id: forward.c,v 1.1.1.3.10.3.2.2 2000/05/14 23:22:19 hno Exp $
  *
  * DEBUG: section 17    Request Forwarding
  * AUTHOR: Duane Wessels
@@ -137,8 +137,8 @@
 	    FwdServer *fs = fwdState->servers;
 	    FwdServer **T, *T2 = NULL;
 	    fwdState->servers = fs->next;
-	    for (T = &fwdState->servers; *T; T2=*T, T = &(*T)->next);
-	    if (T2 && T2->peer)  {
+	    for (T = &fwdState->servers; *T; T2 = *T, T = &(*T)->next);
+	    if (T2 && T2->peer) {
 		/* cycle */
 		*T = fs;
 		fs->next = NULL;
@@ -251,7 +251,7 @@
 	ctimeout = fs->peer->connect_timeout > 0 ? fs->peer->connect_timeout
 	    : Config.Timeout.peer_connect;
     } else if (fwdState->request->flags.accelerated &&
-	    	Config.Accel.single_host && Config.Accel.host) {
+	Config.Accel.single_host && Config.Accel.host) {
 	host = Config.Accel.host;
 	port = Config.Accel.port;
 	ctimeout = Config.Timeout.connect;
Index: squid/src/globals.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/globals.h,v
retrieving revision 1.1.1.3.10.3
retrieving revision 1.1.1.3.10.3.2.1
diff -u -r1.1.1.3.10.3 -r1.1.1.3.10.3.2.1
--- squid/src/globals.h	20 Apr 2000 18:14:22 -0000	1.1.1.3.10.3
+++ squid/src/globals.h	14 May 2000 23:22:19 -0000	1.1.1.3.10.3.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: globals.h,v 1.1.1.3.10.3 2000/04/20 18:14:22 hno Exp $
+ * $Id: globals.h,v 1.1.1.3.10.3.2.1 2000/05/14 23:22:19 hno Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -125,10 +125,6 @@
 extern double current_dtime;
 extern int store_hash_buckets;	/* 0 */
 extern hash_table *store_table;	/* NULL */
-#if HEAP_REPLACEMENT
-extern heap *inmem_heap;
-#else
-#endif
 extern dlink_list ClientActiveRequests;
 extern const String StringNull;	/* { 0, 0, NULL } */
 extern const MemBuf MemBufNull;	/* MemBufNULL */
@@ -149,8 +145,9 @@
 extern request_flags null_request_flags;
 extern int store_open_disk_fd;	/* 0 */
 extern const char *SwapDirType[];
-extern storefs_entry_t *storefs_list; /* NULL */
+extern storefs_entry_t *storefs_list;	/* NULL */
 extern int store_swap_low;
 extern int store_swap_high;
 extern int store_pages_max;
 extern size_t store_maxobjsize;
+extern RemovalPolicy *mem_policy;
Index: squid/src/http.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/http.c,v
retrieving revision 1.1.1.3.10.4
retrieving revision 1.1.1.3.10.4.2.1
diff -u -r1.1.1.3.10.4 -r1.1.1.3.10.4.2.1
--- squid/src/http.c	20 Apr 2000 18:14:22 -0000	1.1.1.3.10.4
+++ squid/src/http.c	14 May 2000 23:22:19 -0000	1.1.1.3.10.4.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: http.c,v 1.1.1.3.10.4 2000/04/20 18:14:22 hno Exp $
+ * $Id: http.c,v 1.1.1.3.10.4.2.1 2000/05/14 23:22:19 hno Exp $
  *
  * DEBUG: section 11    Hypertext Transfer Protocol (HTTP)
  * AUTHOR: Harvest Derived
@@ -897,7 +897,7 @@
 	httpState->flags.keepalive = 1;
     if (httpState->peer)
 	if (neighborType(httpState->peer, httpState->request) == PEER_SIBLING &&
-		!httpState->peer->options.allow_miss)
+	    !httpState->peer->options.allow_miss)
 	    httpState->flags.only_if_cached = 1;
     memBufDefInit(&mb);
     httpBuildRequestPrefix(req,
Index: squid/src/ipc.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/ipc.c,v
retrieving revision 1.1.1.3.10.4
retrieving revision 1.1.1.3.10.4.2.1
diff -u -r1.1.1.3.10.4 -r1.1.1.3.10.4.2.1
--- squid/src/ipc.c	20 Apr 2000 18:14:22 -0000	1.1.1.3.10.4
+++ squid/src/ipc.c	14 May 2000 23:22:19 -0000	1.1.1.3.10.4.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ipc.c,v 1.1.1.3.10.4 2000/04/20 18:14:22 hno Exp $
+ * $Id: ipc.c,v 1.1.1.3.10.4.2.1 2000/05/14 23:22:19 hno Exp $
  *
  * DEBUG: section 54    Interprocess Communication
  * AUTHOR: Duane Wessels
@@ -292,7 +292,7 @@
     close(t2);
     close(t3);
     /* Make sure all other filedescriptors are closed */
-    for(x=3;x<SQUID_MAXFD; x++)
+    for (x = 3; x < SQUID_MAXFD; x++)
 	close(x);
 #if HAVE_SETSID
     setsid();
Index: squid/src/mem.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/mem.c,v
retrieving revision 1.1.1.3.10.3.2.1
retrieving revision 1.1.1.3.10.3.2.2
diff -u -r1.1.1.3.10.3.2.1 -r1.1.1.3.10.3.2.2
--- squid/src/mem.c	2 May 2000 22:50:29 -0000	1.1.1.3.10.3.2.1
+++ squid/src/mem.c	14 May 2000 23:22:19 -0000	1.1.1.3.10.3.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: mem.c,v 1.1.1.3.10.3.2.1 2000/05/02 22:50:29 hno Exp $
+ * $Id: mem.c,v 1.1.1.3.10.3.2.2 2000/05/14 23:22:19 hno Exp $
  *
  * DEBUG: section 13    High Level Memory Pool Management
  * AUTHOR: Harvest Derived
@@ -349,4 +349,3 @@
 {
     memFree(p, MEM_8K_BUF);
 }
-
Index: squid/src/neighbors.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/neighbors.c,v
retrieving revision 1.1.1.3.10.3
retrieving revision 1.1.1.3.10.3.2.1
diff -u -r1.1.1.3.10.3 -r1.1.1.3.10.3.2.1
--- squid/src/neighbors.c	20 Apr 2000 18:14:22 -0000	1.1.1.3.10.3
+++ squid/src/neighbors.c	14 May 2000 23:22:19 -0000	1.1.1.3.10.3.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: neighbors.c,v 1.1.1.3.10.3 2000/04/20 18:14:22 hno Exp $
+ * $Id: neighbors.c,v 1.1.1.3.10.3.2.1 2000/05/14 23:22:19 hno Exp $
  *
  * DEBUG: section 15    Neighbor Routines
  * AUTHOR: Harvest Derived
@@ -297,7 +297,7 @@
     if (p->rr_count < 0)
 	p->rr_count = 0;
     p->rr_lastcount = p->rr_count;
-    eventAdd("peerClearRR",peerClearRR, p, 5*60, 0);
+    eventAdd("peerClearRR", peerClearRR, p, 5 * 60, 0);
 }
 
 peer *
@@ -933,13 +933,13 @@
 neighborUp(const peer * p)
 {
     if (!p->tcp_up) {
-	peerProbeConnect((peer *)p);
+	peerProbeConnect((peer *) p);
 	return 0;
     }
     if (p->options.no_query)
 	return 1;
     if (p->stats.probe_start != 0 &&
-	    squid_curtime - p->stats.probe_start > Config.Timeout.deadPeer)
+	squid_curtime - p->stats.probe_start > Config.Timeout.deadPeer)
 	return 0;
     return 1;
 }
@@ -1036,7 +1036,7 @@
 }
 
 void
-peerConnectFailed(peer *p)
+peerConnectFailed(peer * p)
 {
     p->stats.last_connect_failure = squid_curtime;
     if (!p->tcp_up) {
@@ -1054,7 +1054,7 @@
 }
 
 void
-peerConnectSucceded(peer *p)
+peerConnectSucceded(peer * p)
 {
     if (!p->tcp_up) {
 	debug(15, 2) ("TCP connection to %s/%d succeded\n", p->host, p->http_port);
@@ -1070,13 +1070,13 @@
  * peerProbeConnect will be called on dead peers by neighborUp 
  */
 static void
-peerProbeConnect(peer *p)
+peerProbeConnect(peer * p)
 {
     int fd;
     if (p->test_fd != -1)
-	return; /* probe already running */
+	return;			/* probe already running */
     if (squid_curtime - p->stats.last_connect_probe < Config.Timeout.connect)
-	return; /* don't probe to often */
+	return;			/* don't probe to often */
     fd = comm_open(SOCK_STREAM, 0, Config.Addrs.tcp_outgoing,
 	0, COMM_NONBLOCKING, p->host);
     if (fd < 0)
Index: squid/src/protos.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/protos.h,v
retrieving revision 1.1.1.3.10.8.2.4
retrieving revision 1.1.1.3.10.8.2.5
diff -u -r1.1.1.3.10.8.2.4 -r1.1.1.3.10.8.2.5
--- squid/src/protos.h	8 May 2000 18:02:08 -0000	1.1.1.3.10.8.2.4
+++ squid/src/protos.h	14 May 2000 23:22:19 -0000	1.1.1.3.10.8.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: protos.h,v 1.1.1.3.10.8.2.4 2000/05/08 18:02:08 hno Exp $
+ * $Id: protos.h,v 1.1.1.3.10.8.2.5 2000/05/14 23:22:19 hno Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -201,12 +201,12 @@
 extern void disk_init(void);
 
 /* diskd.c */
-extern diskd_queue * afile_create_queue(void);
+extern diskd_queue *afile_create_queue(void);
 extern void afile_destroy_queue(diskd_queue *);
 extern void afile_sync_queue(diskd_queue *);
 extern void afile_sync(void);
 extern void afile_open(const char *path, int mode, DOCB *, void *);
-extern void afile_close(int fd, DCCB *callback, void *data);
+extern void afile_close(int fd, DCCB * callback, void *data);
 extern void afile_write(int, off_t, void *, int len, DWCB *, void *, FREE *);
 extern void afile_write_mbuf(int fd, off_t, MemBuf, DWCB *, void *);
 extern void afile_read(int, char *, int, off_t, DRCB *, void *);
@@ -851,19 +851,12 @@
 extern void storeFsDone(void);
 extern void storeFsAdd(char *, STSETUP *);
 
-/* store_heap_replacement.c */
-#ifdef HEAP_REPLACEMENT
-extern heap_key HeapKeyGen_StoreEntry_LFUDA(void *, double);
-extern heap_key HeapKeyGen_StoreEntry_GDSF(void *, double);
-extern heap_key HeapKeyGen_StoreEntry_LRU(void *, double);
-#endif
-
 /* store_modules.c */
 extern void storeFsSetup(void);
 
 /* store_io.c */
-extern storeIOState * storeCreate(StoreEntry *, STFNCB *, STIOCB *, void *);
-extern storeIOState * storeOpen(StoreEntry *, STFNCB *, STIOCB *, void *);
+extern storeIOState *storeCreate(StoreEntry *, STFNCB *, STIOCB *, void *);
+extern storeIOState *storeOpen(StoreEntry *, STFNCB *, STIOCB *, void *);
 extern void storeClose(storeIOState *);
 extern void storeRead(storeIOState *, char *, size_t, off_t, STRCB *, void *);
 extern void storeWrite(storeIOState *, char *, size_t, off_t, FREE *);
@@ -965,7 +958,7 @@
 extern store_client *storeClientListAdd(StoreEntry * e, void *data);
 extern void storeClientCopy(store_client *, StoreEntry *, off_t, off_t, size_t, char *, STCB *, void *);
 extern int storeClientCopyPending(store_client *, StoreEntry * e, void *data);
-extern int storeUnregister(store_client *sc, StoreEntry * e, void *data);
+extern int storeUnregister(store_client * sc, StoreEntry * e, void *data);
 extern off_t storeLowestMemReaderOffset(const StoreEntry * entry);
 extern void InvokeHandlers(StoreEntry * e);
 extern int storePendingNClients(const StoreEntry * e);
@@ -1153,7 +1146,7 @@
 extern void delayBytesIn(delay_id, int qty);
 extern int delayMostBytesWanted(const MemObject * mem, int max);
 extern delay_id delayMostBytesAllowed(const MemObject * mem);
-extern void delaySetStoreClient(store_client *sc, delay_id delay_id);
+extern void delaySetStoreClient(store_client * sc, delay_id delay_id);
 extern void delayRegisterDelayIdPtr(delay_id * loc);
 extern void delayUnregisterDelayIdPtr(delay_id * loc);
 #endif
@@ -1185,6 +1178,10 @@
 extern void logfilePrintf(va_alist);
 #endif
 
+/* Removal Policies */
+RemovalPolicy *
+createRemovalPolicy(RemovalPolicySettings *settings);
+
 /*
  * prototypes for system functions missing from system includes
  */
Index: squid/src/snmp_agent.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/snmp_agent.c,v
retrieving revision 1.1.1.3.6.2
retrieving revision 1.1.1.3.6.2.2.1
diff -u -r1.1.1.3.6.2 -r1.1.1.3.6.2.2.1
--- squid/src/snmp_agent.c	20 Apr 2000 18:14:23 -0000	1.1.1.3.6.2
+++ squid/src/snmp_agent.c	14 May 2000 23:22:19 -0000	1.1.1.3.6.2.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: snmp_agent.c,v 1.1.1.3.6.2 2000/04/20 18:14:23 hno Exp $
+ * $Id: snmp_agent.c,v 1.1.1.3.6.2.2.1 2000/05/14 23:22:19 hno Exp $
  *
  * DEBUG: section 49     SNMP Interface
  * AUTHOR: Kostas Anagnostakis
@@ -279,9 +279,9 @@
 	    ASN_INTEGER);
 	break;
     case PERF_SYS_CURLRUEXP:
-        /* No global LRU info anymore */
+	/* No global LRU info anymore */
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-            0,
+	    0,
 	    SMI_TIMETICKS);
 	break;
     case PERF_SYS_CURUNLREQ:
Index: squid/src/squid.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/squid.h,v
retrieving revision 1.1.1.3.10.2.2.1
retrieving revision 1.1.1.3.10.2.2.2
diff -u -r1.1.1.3.10.2.2.1 -r1.1.1.3.10.2.2.2
--- squid/src/squid.h	22 Apr 2000 20:02:55 -0000	1.1.1.3.10.2.2.1
+++ squid/src/squid.h	14 May 2000 23:22:19 -0000	1.1.1.3.10.2.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: squid.h,v 1.1.1.3.10.2.2.1 2000/04/22 20:02:55 hno Exp $
+ * $Id: squid.h,v 1.1.1.3.10.2.2.2 2000/05/14 23:22:19 hno Exp $
  *
  * AUTHOR: Duane Wessels
  *
@@ -359,9 +359,6 @@
 
 #include "hash.h"
 #include "rfc1035.h"
-#if HEAP_REPLACEMENT
-#include "heap.h"
-#endif
 
 #include "defines.h"
 #include "enums.h"
